summaryrefslogtreecommitdiffstats
path: root/bin/g-i-installation.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-04-28 15:08:58 +0200
committerHolger Levsen <holger@layer-acht.org>2014-04-28 15:08:58 +0200
commit138ee87e3bc2f9095f5b582bea13de638700403d (patch)
tree0aa271710343d9dc86cd4b6fdd20c396a8965ac8 /bin/g-i-installation.sh
parentf26f97930a93b6d2b3e7a278024612eeede95b37 (diff)
downloadjenkins.debian.net-138ee87e3bc2f9095f5b582bea13de638700403d.tar.xz
g-i: use ocr to detect problem loading installer components from CDROM and fail faster
Diffstat (limited to 'bin/g-i-installation.sh')
-rwxr-xr-xbin/g-i-installation.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index aebed736..7ef22016 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -819,6 +819,7 @@ monitor_system() {
LAST_LINE=$(tail -1 $GOCR |cut -d "]" -f2- || true)
STACK_LINE=$(egrep "(Call Trace|end trace)" $GOCR || true)
INVALID_SIG_LINE=$(egrep "(Invalid Release signature)" $GOCR || true)
+ CDROM_PROBLEM=$(grep "There was a problem reading data from the CD-ROM" $GOCR || true)
rm $GOCR $GOCR.ppm
if [[ "$LAST_LINE" =~ .*Power\ down.* ]] ; then
echo "QEMU was powered down, continuing."
@@ -829,6 +830,9 @@ monitor_system() {
elif [ ! -z "$INVALID_SIG_LINE" ] ; then
echo "ERROR: Invalid Release signature found, aborting."
exit 1
+ elif [ ! -z "$CDROM_PROBLEM" ] ; then
+ echo "ERROR: Loading installer components from CDROM failed, aborting."
+ exit 1
fi
fi
# every 100 screenshots, starting from the $TIMEOUTth one...